cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Level 10
Report Inappropriate Content
Message 1 of 11

ePO Apache service will not start after 4.6 to 4.6.4 upgrade

Upgraded ePO following the documentation (https://kc.mcafee.com/resources/sites/MCAFEE/content/live/PRODUCT_DOCUMENTATION/22000/PD22974/en_US/...) and after server restart, the McAfee ePolicy Orchestrator 4.6.4 Server service will not start. I get the following error:

"Windows could not start the McAfee ePolicy Orchestrator 4.6.4 Server on Local Computer. For more information, review the System Event Log. If this is a non-Microsoft service, contact the service vendor, and refer to service-specific error code 1."

When I check the system event log, it says the following:

"The McAfee ePolicy Orchestrator 4.6.4 Server service terminated with service-specific error Incorrect function.."

and under details:

"

-System



-Provider



[ Name] Service Control Manager



[ Guid] {555908d1-a6d7-4695-8e1e-26931d2012f4}



[ EventSourceName] Service Control Manager



-EventID7024




[ Qualifiers] 49152



Version0



Level2



Task0



Opcode0



Keywords0x8080000000000000


-TimeCreated




[ SystemTime] 2013-02-01T19:53:53.484924300Z



EventRecordID26974



Correlation


-Execution




[ ProcessID] 636



[ ThreadID] 1824



ChannelSystem



ComputerESEPO01.xxxx.xxx.xxxxx.xx.xx



Security
-EventData



param1McAfee ePolicy Orchestrator 4.6.4 Server


param2%%1

"

I'm very anxious to get this back up and running, so let me know if you need more info, and I'll do what I can.

10 Replies
Highlighted
McAfee Employee
McAfee Employee
Report Inappropriate Content
Message 2 of 11

Re: ePO Apache service will not start after 4.6 to 4.6.4 upgrade

Try and start the service again, and then check the latest errorlog in <epo install folder>\apache2\logs - does it show any errors?

Thanks -

Joe

Message was edited by: JoeBidgood on 01/02/13 20:18:52 GMT
Highlighted
Level 10
Report Inappropriate Content
Message 3 of 11

Re: ePO Apache service will not start after 4.6 to 4.6.4 upgrade

None. I tried restarting the service and the error log there did not update - it only shows entries from right before the upgrade:

[Fri Feb 01 14:27:05 2013] [notice] Parent: Received shutdown signal -- Shutting down the server.

[Fri Feb 01 14:27:05 2013] [notice] Child 5100: Exit event signaled. Child process is ending.

[Fri Feb 01 14:27:06 2013] [notice] Child 5100: Released the start mutex

[Fri Feb 01 14:27:06 2013] [notice] Child 5100: All worker threads have exited.

[Fri Feb 01 14:27:06 2013] [notice] Child 5100: Child process is exiting

[Fri Feb 01 14:27:06 2013] [notice] Parent: Child process exited successfully.

There are no other folders/files with a date modified that would indicate it installed somewhere else, too.

Highlighted
McAfee Employee
McAfee Employee
Report Inappropriate Content
Message 4 of 11

Re: ePO Apache service will not start after 4.6 to 4.6.4 upgrade

OK, that rules out some possibilities. Can you check the server.log in DB\logs for the same time? Any errors reported?

Thanks -

Joe

Highlighted
Level 10
Report Inappropriate Content
Message 5 of 11

Re: ePO Apache service will not start after 4.6 to 4.6.4 upgrade

Last entry there is also from just before the upgrade (~2:40 EST)

"20130201142706    I    #05104    NAIMSRV     ePolicy Orchestrator server stopped."

Highlighted
Level 10
Report Inappropriate Content
Message 6 of 11

Re: ePO Apache service will not start after 4.6 to 4.6.4 upgrade

A bit of additional info, in the Windows Application log, I found the following:

"

The Apache service named







reported the following error: >>>



Apache.exe: Syntax error on line 173 of C:/Program Files (x86)/McAfee/ePolicy Orchestrator/Apache2/conf/httpd.conf: Cannot load C:/Program Files (x86)/McAfee/ePolicy Orchestrator/Apache2/modules/mod_ssl.so into server: The specified module could not be fo

"

And yes, it cut off there.

edit:

Yet, when I browse to that directory, the file is indeed there.

Message was edited by: zarberg on 2/1/13 3:37:47 PM CST
Highlighted
McAfee Employee
McAfee Employee
Report Inappropriate Content
Message 7 of 11

Re: ePO Apache service will not start after 4.6 to 4.6.4 upgrade

Is event parser services running? If not then looks the connectivity issue with DB. Are you able to validate \core\config page?

--------------------

Agent meta-data out of date, 9598278 > 9592914; resending.

20130201142702          I          #06372          NAIMSRV           Sending props response for agent UIA07118, policy files attached (Policy\Server.xml)

20130201142702          I          #06372          NAIMSRV           Signing agent response package with key 0UrK/pW6emBC1M2eBzeU+vhtBidFY8sdFdLG1fv0GbA=

20130201142702          I          #07892          NAIMSRV           Received [Event] from UIA07118:{6E863CF9-938F-40AE-B0CD-EBC38C8FAC53}

20130201142706          E          #05104          EPOLDAP           LDAP server cache has a reference count of -4499

--------------------------

Was my reply helpful?

If this information was helpful in any way or answered your question, will you please select Accept as Solution in my reply and together we can help other members?please select Accept as Solution in my reply and together we can help other members?
Highlighted
Level 10
Report Inappropriate Content
Message 8 of 11

Re: ePO Apache service will not start after 4.6 to 4.6.4 upgrade

Event Parser can't start unless the McAfee ePolicy Orchestrator 4.6.4 Server service is running, and that's the service that won't start (that keeps throwing the error)

Highlighted
Level 10
Report Inappropriate Content
Message 9 of 11

Re: ePO Apache service will not start after 4.6 to 4.6.4 upgrade

With a little rough guidance from McAfee support I ended up backing up the database and re-installing with a clean copy of ePO 4.6.4 then copying over the database files/a few select server files.

Alas, would have been nice to find out what actually happened, as I think I followed the upgrade instructions correctly.

Highlighted

Re: ePO Apache service will not start after 4.6 to 4.6.4 upgrade

oh my God that is horrible, I am getting the same error after applying Cumulative patch 6 to my 5.10.0 ePO server and now I can't log in to the web console, if the solution is Nuke and Pave that is horrible

You Deserve an Award
Don't forget, when your helpful posts earn a kudos or get accepted as a solution you can unlock perks and badges. Those aren't the only badges, either. How many can you collect? Click here to learn more.

Community Help Hub

    New to the forums or need help finding your way around the forums? There's a whole hub of community resources to help you.

  • Find Forum FAQs
  • Learn How to Earn Badges
  • Ask for Help
Go to Community Help

Join the Community

    Thousands of customers use the McAfee Community for peer-to-peer and expert product support. Enjoy these benefits with a free membership:

  • Get helpful solutions from McAfee experts.
  • Stay connected to product conversations that matter to you.
  • Participate in product groups led by McAfee employees.
Join the Community
Join the Community